package com.ejie.y41e.common.exceptions;

/**
 * Y41eRuntimeException.
 * 
 *  
 * 
 */
public class Y41eRuntimeException extends RuntimeException {

    /**
     * The serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * The constructor for Y41eRuntimeException.
     */
    public Y41eRuntimeException() {
        super();
    }

    /**
     * The constructor for Y41eRuntimeException.
     * 
     * @param message
     *            String
     * @param cause
     *            Throwable
     */
    public Y41eRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * The constructor for Y41eRuntimeException.
     * 
     * @param message
     *            String
     */
    public Y41eRuntimeException(String message) {
        super(message);
    }

    /**
     * The constructor for Y41eRuntimeException.
     * 
     * @param cause
     *            Throwable
     */
    public Y41eRuntimeException(Throwable cause) {
        super(cause);
    }

}
